Suitcase Fusion has detected an incompatible version of FMCore. LION 10.7.1 Suitcase 14.1.1

 
Professional desktop font management for Mac OS X

Suitcase Fusion has detected an incompatible version of FMCore. LION 10.7.1 Suitcase 14.1.1

Postby betsy123 » Fri Sep 23, 2011 8:49 am

Running the 30 day demo of suitcase fusion. The demo is expired. I press "Use WebInk Only"

nothing happens. 30 seconds later I get the message

Suitcase Fusion has detected an incompatible version of FMCore.

This is on LION 10.7.1 and Suitcase Fusion (latest) 14.1.1


Basically I tried the 30 day demo along time ago.. (don't remember the version # but it was 14) after the 30 day demo I let it expire and haven't really used it much (been doing a lot of web design with web fonts and have been happy with font box so I didn't purchase at that time). Someone turned me onto web fonts and the WebInk and i wanted to give it a try, so i updated it from the web to the latest version and tried to run web ink only. No go. I also ran your uninstaller, cleaned all references of the app. zapped pram, reset smc. tried a second user. deleted all prefs and all files. nothing... Console spits out some info which i pasted here. there is a bigger dump in the middle but your forum complained it was too much to post. but its just a dump of a "AssertFailure"


9/23/11 11:45:42.381 AM Suitcase Fusion 3: *** ASSERT failed (theCAC != nil) : Cannot continue if we can't allocate a CoreAgentController file:/Volumes/Server_HD_2/buildbox/ExtensisSource/release/Suitcase14.1.1/FontManagement/Mac/Source/MainWindowController.mm, line: 5049



9/23/11 11:45:42.384 AM Suitcase Fusion 3: *** ASSERT failed (inCAController != NULL) : MainWindowController.mm initWithCoreAgentController originally allowed a NULL argument. Not valid any longer. file:/Volumes/Server_HD_2/buildbox/ExtensisSource/release/Suitcase14.1.1/FontManagement/Mac/Source/MainWindowController.mm, line: 4996
betsy123
 
Posts: 6
Joined: Fri Sep 23, 2011 8:38 am

Re: Suitcase Fusion has detected an incompatible version of

Postby mitchbentley » Mon Sep 26, 2011 7:08 pm

I am having the same problem - insofar as I am getting the same message and on the same system. I do have a fully licensed product though.
So, is there a fix? I really cannot work without fonts.
mitchbentley
 
Posts: 1
Joined: Mon Sep 26, 2011 7:05 pm

Re: Suitcase Fusion has detected an incompatible version of

Postby karlegas » Tue Sep 27, 2011 10:54 am

Same problem same configuration, yesterday was working Ok today can not start I reinstalled the last version and continue with problems to start Suitcase Fusion Core
karlegas
 
Posts: 6
Joined: Wed Aug 04, 2010 1:35 pm

Re: Suitcase Fusion has detected an incompatible version of

Postby azabache » Wed Sep 28, 2011 9:17 pm

Same deal, all was working and now:
"Unable to start the Suitcase Fusion Core.
Suitcase Fusion has detected an incompatible version of FMCore. Suitcase Fusion can not continue."

If the core is within the application package (it's there, I checked). Who put an incompatible version there?

Does anyone know where to find 14.0.6? I need to downgrade so I can keep on working.

C'mon Extensis, you used to be better than this. Is that Webfonts thingie distracting you?

Print is still bread and butter for many of us and having a dependable font manager is paramount.

Now Suitcase is unusable. I've reinstalled 5 or 6 times and same deal every time (I redownloaded the installer a few. You'd thing I'd learn.
azabache
 
Posts: 3
Joined: Sat Jul 21, 2007 10:26 am

Re: Suitcase Fusion has detected an incompatible version of

Postby karlegas » Fri Sep 30, 2011 10:58 am

Sorry I don't know where found the old versions. Always I keep at hand.

The temp solution was uninstall the Suitacase 14.1.1 and reinstall the version 14.0.6, now I am using InDesign not QXPress 9 so I can use until they new version comes.

Really annoying that Extensis support or developers not comment this post for many days.

Karl
karlegas
 
Posts: 6
Joined: Wed Aug 04, 2010 1:35 pm

Re: Suitcase Fusion has detected an incompatible version of

Postby azabache » Fri Sep 30, 2011 3:06 pm

I got a response from an Extensis support representative (thank you, KB). The solution is quite simple, but you must have administrator privileges and know how to use Activity Monitor and the Terminal. Here it is verbatim (without pictures). You assume all risks. Make a backup of your hard disk in case it blows up or something goes awry. I will not be responsible for any damages, lost time, lost work, warts, hair loss, pimples, boils, fire, brimstone or kernel panics. It worked for me. Again, fair warning, DO THIS AT YOUR OWN RISK.

<!-- begin instructions -->

1) open applications/utilities/activity monitor.
2) click on the "process name" column to sort alphabetically
3) if FMCore or FMRenderer are running, highlight the process and click the red "quit process" button
4) click the "force quit" button when asked for confirmation

5) quit activity monitor
6) open applications/utilities/terminal
7) copy/paste the following code at the cursor:

rm -rf .Extensis

8) quit terminal
9) choose apple menu > log out
10) log back in with your macintosh password
11) open SF3

<!-- end instructions -->

For the tech-minded, here's some fun stuff:
http://www.extensis.com/en/support/kb_article.jsp?articleNumber=8501204
azabache
 
Posts: 3
Joined: Sat Jul 21, 2007 10:26 am

Re: Suitcase Fusion has detected an incompatible version of

Postby betsy123 » Fri Sep 30, 2011 5:52 pm

doesn't work for me.

I ran the uninstaller which does this and more. it actually removes EVERY trace of Fusion3, including that folder. also created a new user. I have 2 macs. One of my macs works, the other doesn't. I also copied Suitcase Fusion 3 from 1 mac to the other (working to non) still doesn't work. and since FM Core is inside the app, that should solve the issue "if it was a app issue"

but sadly its not... its pretty obvious that this is a physical programming issue with the software that will require a update. The app is looking for a window that doesn't exist. that is what 9/30/11 8:49:18.486 PM Suitcase Fusion 3: *** ASSERT failed (inCAController != NULL) : MainWindowController.mm initWithCoreAgentController originally allowed a NULL argument. Not valid any longer. file:/Volumes/Server_HD_2/buildbox/ExtensisSource/release/Suitcase14.1.1/FontManagement/Mac/Source/MainWindowController.mm, line: 4996

that means a window that should be there isn't there. and the program is wrong. I don't know what file:/Volumes/Server_HD_2/buildbox is... maybe thats a internal reference to a box at Extensis where the software is programmed??? but its certainly not anything on my computer.

Hopefully we will see a 14.1.2 update...
betsy123
 
Posts: 6
Joined: Fri Sep 23, 2011 8:38 am

Re: Suitcase Fusion has detected an incompatible version of

Postby betsy123 » Fri Sep 30, 2011 5:56 pm

karlegas wrote:Sorry I don't know where found the old versions. Always I keep at hand.

The temp solution was uninstall the Suitacase 14.1.1 and reinstall the version 14.0.6, now I am using InDesign not QXPress 9 so I can use until they new version comes.

Really annoying that Extensis support or developers not comment this post for many days.

Karl


http://www.extensis.com/en/support/upda ... 14-0-6.jsp


14.0.6 SAME PROBLEM


9/30/11 9:00:46.720 PM [0x0-0x1a31a3].com.apple.systempreferences: /Volumes/Server_HD_2/buildbox/ExtensisSource/release/Suitcase14.0.6/FontManagement/Shared Code/CoreAgent/font-genie/font-genie-builder/Mac/../Source/GenieDBBuilder.cpp:161
betsy123
 
Posts: 6
Joined: Fri Sep 23, 2011 8:38 am

Re: Suitcase Fusion has detected an incompatible version of

Postby karlegas » Mon Oct 03, 2011 1:36 pm

betsy123 wrote:
14.0.6 SAME PROBLEM


9/30/11 9:00:46.720 PM [0x0-0x1a31a3].com.apple.systempreferences: /Volumes/Server_HD_2/buildbox/ExtensisSource/release/Suitcase14.0.6/FontManagement/Shared Code/CoreAgent/font-genie/font-genie-builder/Mac/../Source/GenieDBBuilder.cpp:161


Maybe you don't uninstall the Suitcase 14.1.1, I use the Extensis Uninstall Utility to remove all the preferences and folders. Be careful of have a copy of your Font Vault if you do not want lost your sets.

The 14.0.6 is working with out any problems at the moment.

Karl
karlegas
 
Posts: 6
Joined: Wed Aug 04, 2010 1:35 pm

Re: Suitcase Fusion has detected an incompatible version of

Postby cracrac » Sat Oct 08, 2011 4:02 am

I've got the same problem. How can I get the Extensis Uninstall Utility?

thanks.

c.
cracrac
 
Posts: 1
Joined: Sat Oct 08, 2011 3:59 am

Next

Return to Suitcase Fusion 3 (for Macintosh)

Who is online

Users browsing this forum: No registered users and 1 guest